#include <stdlib.h>
#include "TeXit.h"

main()
{
     char stringi[MAXTEX],*text;
     char stringo[MAXTEX];
     int n;
     double f;
     
     while (gets(stringi)) {
	  f = atof(stringi);
	  n = TeXit(stringo,TeXnumb(f),-1);
	  printf("%d:%s",n,stringo);
     }

     exit(0);
}
